[Rubygems-developers] Problem with requests for the rails 2.0.2 activesupport gem

Tom Copeland tom at infoether.com
Wed Dec 19 23:00:23 EST 2007

Hi guys -

I'm seeing some odd requests for the activesupport-2.0.2 gem in the
gems.rubyforge.org vhost log:

gems.rubyforge.org - - [19/Dec/2007:22:51:55 -0500]
"GET /gems/activesupport-2.0.2-.gem HTTP/1.1" 302 244 "-"

Note that there's a "-" right before the ".gem" suffix.  This request
gets routed off to a mirror and of course fails.

This seems to be happening with various gem client versions - 0.9.4,
0.9.2, and 0.9.0.  I'm not seeing it with 0.9.5, though, which is

Any ideas?  I wonder if the gem is being built with a version of
RubyGems that's somehow creating something that older gem client
versions can't read, perhaps?



More information about the Rubygems-developers mailing list